curl -X PUT "https://server.smartlead.ai/api/v1/lead-list/500?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"listName": "Q1 2025 Enterprise Prospects - Updated"}'
{
"ok": true,
"data": {
"id": 500,
"name": "Q1 2025 Enterprise Prospects - Updated"
}
}
Update the name of an existing lead list
curl -X PUT "https://server.smartlead.ai/api/v1/lead-list/500?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"listName": "Q1 2025 Enterprise Prospects - Updated"}'
{
"ok": true,
"data": {
"id": 500,
"name": "Q1 2025 Enterprise Prospects - Updated"
}
}
curl -X PUT "https://server.smartlead.ai/api/v1/lead-list/500?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"listName": "Q1 2025 Enterprise Prospects - Updated"}'
{
"ok": true,
"data": {
"id": 500,
"name": "Q1 2025 Enterprise Prospects - Updated"
}
}